<h1>Registrera organisation</h1>
<div class="p-2">
  <h3>Du sysslar med tjänster som kan skapa Sveriges framtida arbetsmarknad. Lysande! Nu är det därför dags att registrera din organisation. Och så du vet – några steg fram kan du lägga till flera kollegor i samma organisation. 2-3 minuter till, sen är du igång!</h3>
</div>
<form #theForm="ngForm" novalidate class="org-form">
  <div class="card">
    <div class="card-body">
      <div class="row mt-4">
        <div class="col-md-9 col-lg-8 form-group">
          <label><h4>Namn <b>*</b></h4>
            <input type="text" class="form-control" data-cy="addOrganisationName" name="name"
                   aria-describedby="nameHelp"
                   placeholder="Namn på organisation"
                   app-uniqueOrganisationName minlength="2" maxlength="32" required="required"
                   (selectItem)="selectOrganisation($event)" (change)="onChange($event)"
                   (keypress)="cancelJoinOrganisation()"
                   [ngbTypeahead]="typeaheadOrganisations"
                   [inputFormatter]="orgToNameFormatter" [resultFormatter]="formatter"
                   #nameModel="ngModel" [(ngModel)]="model.organisation.name">
          </label>
        </div>
        <div class="col-12" *ngIf="nameModel.invalid && (nameModel.dirty || nameModel.touched)">
          <small id="namenHelp" class="col-12 alert alert-danger form-text text-muted">
            <div *ngIf="nameModel?.errors.required">
              Du har glömt att fylla i namnet på din organisation.
            </div>
            <div *ngIf="nameModel?.errors.minlength">
              Namnet måste vara minst {{nameModel?.errors.minlength.requiredLength}} tecken
            </div>
            <div *ngIf="nameModel?.errors.organisationNameNotUnique">
              Organisationen '{{nameModel?.errors.organisationName}}' är redan registrerad.
            </div>
          </small>
        </div>
      </div>

      <div class="join-org" class="col-12 alert alert-primary" *ngIf="model.joinOrganisation">
        <p>Vill du bli medlem i {{model.joinOrganisation.name}}?</p>

        <div class="row">
          <div class="col-8">
            Jag accepterar Jobtech Stores <a [routerLink]="['code-of-conduct']" target="_blank">uppförandekod</a>.
          </div>
          <div class="col-4 form-group">
            <label class="switch">
              <input type="checkbox" id="codeOfConductJoin" name="codeOfConductJoin" [(ngModel)]="model.codeOfConductJoin"
                     required="required" #codeOfConductModelJoin="ngModel" aria-describedby="codeOfConductHelpJoin">
              <span class="slider round"></span>
            </label>
          </div>
        </div>

        <button class="btn btn-primary btn-wide" (click)="doJoinOrganisation()" [disabled]="!model.codeOfConductJoin">
          {{model.joinOrganisation.allowDirectMembership ? 'BLI MEDLEM' :
          'ANSÖK OM MEDLEMSSKAP'}}
        </button>
      </div>

      <!--error:  {{nameModel.errors | json}}-->

      <div class="row">
        <div class="col-md-9 col-lg-8 form-group">
          <label for="number"><h4>Organisationsnummer <b>*</b></h4></label>
          <input type="text" class="form-control" id="number" data-cy="addOrganisationNumber" name="number"
                 placeholder="XXXXXX-XXXX"
                 [(ngModel)]="model.organisation.number" required>
        </div>
      </div>

      <!-- BORTKOMMENTERAD TILLS DESS VI VET VAD SOM SKA STÅ I INFO-RUTAN FÖR ORGANISATIONSNUMMER <app-info-box>
        Lorem ipsum dolor sit amet, ne nam copiosae quaestio rationibus, diam eirmod saperet ne vis, ei vim probatus
        antiopam qualisque.
      </app-info-box> -->

      <div class="mt-5 row">
        <div class="col-12">
          <h4>Bild för organisation</h4>
        </div>
      </div>

      <div class="mt-2 mb-5 row">
        <div class="col-12">
          <app-image-picker [image]="model.organisation.logoUrl" (uploaded)="newImageUploade($event)"
                            (deleted)="imageDeleted($event)"></app-image-picker>
        </div>
      </div>


      <div class="row">
        <div class="col-12">
          <h4>Uppförandekod</h4>
        </div>
      </div>
      <div class="row">
        <div class="col-8">
          Jag accepterar Jobtech Stores  <a [routerLink]="['code-of-conduct']" target="_blank">uppförandekod</a>.
        </div>
        <div class="col-4 form-group">
          <label class="switch"  data-cy="acceptCodeOfConduct">

            <input type="checkbox" id="codeOfConduct" name="codeOfConduct" [(ngModel)]="model.codeOfConduct"
                   required="required" #codeOfConductModel="ngModel" aria-describedby="codeOfConductHelp">
            <span class="slider round"></span>
            <span [hidden]="model.codeOfConduct" id="nej" data-cy="codeOfConductNotAccepted">NEJ</span>
            <span [hidden]="!model.codeOfConduct" id="ja" data-cy="codeOfConductAccepted">JA</span>
          </label>
        </div>
        <div class="col-12" *ngIf="codeOfConductModel.invalid && (codeOfConductModel.dirty || codeOfConductModel.touched)">
          <small id="codeOfConductHelp" class="col-12 alert alert-danger form-text text-muted">
              Du måste acceptera uppförandekoden för att registrera din organisation.
          </small>
        </div>
      </div>
    </div>

  </div>
</form>

<div class="row justify-content-center mt-3 form-buttons">
  <div class="col-md-6 text-center">
  </div>
  <div class="col-md-6 text-center">
    <button class="btn btn-primary btn-wide" data-cy="organisationNext" (click)="next(theForm)">GÅ VIDARE</button>
  </div>
</div>
